### Function Macro

# Dex DEFINE_CLOSURE_POINTER

#### Declaration [src]

    #define DEX_DEFINE_CLOSURE_POINTER (
      type,
      name,
      clear
    )

#### Description [src]

A pointer field descriptor for #DEX_DEFINE_CLOSURE_TYPE(). `clear` is required; use #DEX_DEFINE_CLOSURE_VALUE() for pointers which do not need cleanup.

This function is not directly available to language bindings.

#### Parameters

`type`

  Type: `-`

  Field type.

`name`

  Type: `-`

  Field name.

`clear`

  Type: `-`

  Clear callback for `type`.